apiVersion: batch/v1
kind: CronJob
metadata:
  name: scrape-pipelinerun
spec:
  schedule: "10 1 * * *"
  concurrencyPolicy: Forbid
  failedJobsHistoryLimit: 3
  successfulJobsHistoryLimit: 3
  jobTemplate:
    spec:
      template:
        spec:
          restartPolicy: Never
          serviceAccount: run-bot
          containers:
            - name: kubectl
              image: image-registry.openshift-image-registry.svc:5000/openshift/cli:latest
              envFrom:
                - configMapRef:
                    name: env-cm
              command:
                - /bin/bash
                - -c
                - |
                  kubectl create -f - << EOF
                  apiVersion: tekton.dev/v1
                  kind: PipelineRun
                  metadata:
                    generateName: scrape-pipelinerun-
                  spec:
                    params:
                    - name: tag
                      value: ${ENV}
                    pipelineRef:
                      name: scrape-pipeline
                    timeouts:
                      pipeline: 8h0m0s
                    taskrunTemplate:
                      serviceAccountName: run-bot
                  EOF
